Calling Plan: Inbound Barring
This set of APIs are tightly linked to the calling plans. An inbound barring list defines, for a trunk group, a set of countries and prefixes from which incoming calls are barred (rejected). Each inbound barring list is identified by a country and contains a list of prefixes.
Get a specific calling plan: inbound barring
Retrieves the calling plan inbound barring list for a trunk group.
Request
Endpoint
GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.list
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
URL/Query parameters
| Parameter | Type | Description | Required? |
|---|---|---|---|
page_size | integer | Used for pagination, determines the maximum number of records on one page of results (defaults to 10) | no |
search | string | Used to perform a search through all searchable properties of a group that look like the string passed | no |
next | string | Token returned by a previous call, used to retrieve the next set of records (infinite scrolling) | no |
Response
Status codes
| Parameter | Description |
|---|---|
200 | The calling plan inbound barring list was found |
400 | Error while processing the request |
403 | The API consumer doesn't have sufficient rights to perform this action |
404 | No calling plan inbound barring list found with this uuid |
500 | Uncatched error on server side |
Success
Body
| Parameter | Type | Description | Conditional? |
|---|---|---|---|
callingPlans | array | List containing the inbound barring list calling plan objects | no |
results | integer | Total number of results from the query | no |
pages | integer | Total number of pages according to pagination settings | no |
page | integer | Current displayed page from the set of pages | no |
next | string | A token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continued | yes |
Example
{
"callingPlans": [
{
"classification": "standard",
"country": "Belgium",
"countryCode": "+32",
"id": 2,
"isoCode": "BE",
"name": "Belgium IB",
"region": "Europe",
"risk": -1,
"type": "call_barring_inbound"
},
{
"classification": "",
"country": "Italy",
"countryCode": "+39",
"id": 15,
"isoCode": "IT",
"name": "Italy IB",
"region": "Europe",
"risk": -1,
"type": "call_barring_inbound"
}
],
"page": 1,
"pages": 1,
"results": 2
}Create a calling plan: inbound barring
Creates an inbound barring list associated to the trunk group.
Request
Endpoint
POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.create
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
URL/Query parameters
N/A
Body
| Parameter | Type | Description | Required? |
|---|---|---|---|
countryCode | string | The country code for the inbound barring list | no |
country | string | The country for the inbound barring list | no |
isoCode | string | The ISO code for the inbound barring list | no |
name | string | The name for the inbound barring list | no |
region | string | The region for the inbound barring list | no |
Example
{
"country": "Afghanistan",
"countryCode": "+93",
"isoCode": "AF",
"name": "test",
"region": "Asia"
}Response
Status codes
| Parameter | Description |
|---|---|
200 | The calling plan inbound barring list was created successfully |
400 | Error while creating the calling plan inbound barring list |
500 | Uncatched error on server side |
Success
Body
| Parameter | Type | Description | Conditional? |
|---|---|---|---|
countryCode | string | The country code for the inbound barring list | no |
country | string | The country for the inbound barring list | no |
id | integer | The index of the calling plan inbound barring list | no |
isoCode | string | The ISO code for the inbound barring list | no |
name | string | The name of the calling plan inbound barring list | no |
region | string | The region for the inbound barring list | no |
type | string | The type of the calling plan inbound barring list | no |
Example
{
"country": "Afghanistan",
"countryCode": "+93",
"id": 335,
"isoCode": "AF",
"name": "test",
"region": "Asia",
"type": "call_barring_inbound"
}Modify a calling plan: inbound barring
Updates the details an inbound barring list associated to the trunk group.
Request
Endpoint
PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.update
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
id | integer | ID of the calling plan inbound barring list which you would like to modify |
URL/Query parameters
N/A
Body
| Parameter | Type | Description | Required? |
|---|---|---|---|
name | string | New name for the calling plan inbound barring list | no |
Example
{
"name": "Belgium IB"
}Response
Status codes
| Parameter | Description |
|---|---|
200 | The calling plan inbound barring list was updated successfully |
400 | Error while updating the calling plan inbound barring list |
403 | The API consumer doesn't have sufficient rights to perform this action |
500 | Uncatched error on server side |
Success
Body
| Parameter | Type | Description | Conditional? |
|---|---|---|---|
id | integer | The index of the calling plan inbound barring list | no |
Example
{
"id":2
}Delete a calling plan: inbound barring
Deletes an inbound barring list associated to the trunk group.
Request
Endpoint
DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.delete
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
id | integer | ID of the calling plan inbound barring list which you would like to delete |
URL/Query parameters
N/A
Body
N/A
Response
Status codes
| Parameter | Description |
|---|---|
204 | The calling plan inbound barring list was deleted successfully. If the calling plan inbound barring list didn't exist, the delete will be considered as being executed successfully |
400 | Error while deleting the calling plan inbound barring list |
403 | The API consumer doesn't have sufficient rights to perform this action |
500 | Uncatched error on server side |
Success
Body
N/A
Get the list of calling plan: inbound barring prefixes
Retrieves the inbound barring list prefixes associated to the trunk group.
Request
Endpoint
GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.list
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
id | integer | ID of the calling plan inbound barring list which you would like to retrieve |
URL/Query parameters
| Parameter | Type | Description | Required? |
|---|---|---|---|
page_size | integer | Used for pagination, determines the maximum number of records on one page of results (defaults to 10) | no |
search | string | Used to perform a search through all searchable properties of a group that look like the string passed | no |
next | string | Token returned by a previous call, used to retrieve the next set of records (infinite scrolling) | no |
Response
Status codes
| Parameter | Description |
|---|---|
200 | One or more groups found |
400 | Error while processing the request |
403 | The API consumer doesn't have sufficient rights to perform this action |
404 | No trunk calling plan inbound barring list prefix found |
500 | Uncatched error on server side |
Success
Body
| Parameter | Type | Description | Conditional? |
|---|---|---|---|
prefixes | array | List containing all calling plan inbound barring list prefix objects in the calling plan inbound barring list | no |
next | string | A token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list has to be continued | yes |
Example
{
"prefixes": [
{
"id": 4,
"isExact": false,
"name": "234",
"prefix": "234"
}
]
}Create a calling plan: inbound barring prefix
Creates an inbound barring list prefixes associated to the trunk group.
Request
Endpoint
POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.create
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
id | integer | ID of the calling plan inbound barring list to add the prefix to |
URL/Query parameters
N/A
Body
| Parameter | Type | Description | Required? |
|---|---|---|---|
isExact | string | The is exact status for the calling plan inbound barring list prefix | no |
prefix | string | The prefix for the calling plan inbound barring list prefix | no |
name | string | The name for the calling plan inbound barring list prefix | no |
Example
{
"isExact": true,
"prefix": "456",
"name": "456"
}Response
Status codes
| Parameter | Description |
|---|---|
200 | The calling plan inbound barring list prefix was updated successfully |
400 | Error while updating the calling plan inbound barring list prefix |
403 | The API consumer doesn't have sufficient rights to perform this action |
500 | Uncatched error on server side |
Success
Body
| Parameter | Type | Description | Conditional? |
|---|---|---|---|
id | integer | The index of the calling plan inbound barring list prefix | no |
Example
{
"id": 34
}Modify a calling plan: inbound barring prefix
Updates the details an inbound barring list prefixes associated to the trunk group.
Request
Endpoint
PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes/{pid}
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.instance.update
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
id | integer | ID of the calling plan inbound barring list |
pid | integer | ID of the calling plan inbound barring list prefix which you would like to modify |
URL/Query parameters
N/A
Body
| Parameter | Type | Description | Required? |
|---|---|---|---|
isExact | string | The is exact status for the calling plan inbound barring list prefix | no |
prefix | string | The prefix for the calling plan inbound barring list prefix | no |
name | string | The name for the calling plan inbound barring list prefix | no |
Example
{
"isExact": false,
"prefix": "324",
"name": "234"
}Response
Status codes
| Parameter | Description |
|---|---|
200 | The calling plan inbound barring list prefix was updated successfully |
400 | Error while updating the calling plan inbound barring list prefix |
403 | The API consumer doesn't have sufficient rights to perform this action |
500 | Uncatched error on server side |
Success
Body
| Parameter | Type | Description | Conditional? |
|---|---|---|---|
id | integer | The index of the calling plan inbound barring list prefix | no |
Example
{
"id": 4
}Delete a calling plan: inbound barring prefix
Deletes an inbound barring list prefixes associated to the trunk group.
Request
Endpoint
DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes/{pid}
Authorization
Required role
tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.instance.delete
Path Parameters
| Parameter | Type | Description |
|---|---|---|
draas_instance | string | See common parameters |
uuid | string | System generated universal unique ID (UUID) identifying the tenant |
subscription_id | integer | Index of a subscription to retrieve the calling plan inbound barring list for |
trunkgroup_id | integer | Index of a Trunk Group |
id | integer | ID of the calling plan inbound barring list |
pid | integer | ID of the calling plan inbound barring list prefix which you would like to delete |
URL/Query parameters
N/A
Body
N/A
Response
Status codes
| Parameter | Description |
|---|---|
204 | The calling plan inbound barring list prefix was deleted successfully. If the calling plan inbound barring list prefix didn't exist, the delete will be considered as being executed successfully |
400 | Error while deleting the calling plan inbound barring list prefix |
403 | The API consumer doesn't have sufficient rights to perform this action |
500 | Uncatched error on server side |
Success
Body
N/A
